#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Odds2_BuffData
{
	//BuffID
	int mBuffID;
	//充值大于多少去掉buff
	int mThreshold;
	//效果
	int mBuffEffect;
	//Buff获得区间最小值
	int mBuffEffectMin;
	//Buff获得区间最大值
	int mBuffEffectMax;
	//隐藏池获得区间最小值
	int mBuffInviMin;
	//隐藏池获得区间最大值
	int mBuffInviMax;
	//特殊鱼充值buff获得区间最小值
	int mSpecialFishMin;
	//特殊鱼充值buff获得区间最大值
	int mSpecialFishMax;
	//发炮次数
	int mBuffCount;
};

class Odds2_Buff
{
public:
private:
	static std::auto_ptr<Odds2_Buff> msSingleton;
public:
	int GetCount();
	const Odds2_BuffData* GetData(int BuffID);
	boost::unordered_map<int, Odds2_BuffData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Odds2_Buff* GetSingleton();
private:
	boost::unordered_map<int, Odds2_BuffData> mMapData;
};
